import { AbstractCreateTransactionHander } from "../AbstractCreateTransactionHander";
export class CreateEndpointTransactionHandler extends AbstractCreateTransactionHander {
    addToDefinition(transaction) {
        this.definition.endpoints[transaction.endpointId] = {
            endpointId: transaction.endpointId,
            endpointName: transaction.endpointName,
        };
    }
    addToParent(transaction) {
        const parent = this.getPackageOrThrow(transaction.parent);
        parent.endpoints.push(transaction.endpointId);
    }
    addToGraph(transaction) {
        this.graph.createEndpoint(transaction.endpointId, { parent: transaction.parent });
    }
}
